

(use test iexpr)

(test-group "iexpr test"

    (test 
(map tree->list (parse 'test.iexpr #<<EOF

pomVersion  3

id    jing-dao
name 'Jing DAO Framework'
currentVersion 0.6.5

organization
     name   JadeTower
     url    http://jadetower.org
     logo   /images/jadetower-logo.png

inceptionYear  2003
package        org.jadetower
logo           /images/jing-logo.png

description    'Java Based DAO Framework'

url             http://jingdao.sf.net
issueTrackingUrl   http://sourceforge.net/tracker/?group_id=75092&atid=542902

siteAddress     jingdao.sf.net
distributionDirectory  /home/groups/j/ji/jingdao/htdocs/dist

developers
     name        'J Aaron Farr'
     id           farra
     roles        ( 'Java Developer' 'Admin' )

build 
 sourceDirectory           ${basedir}/src/java
 unitTestSourceDirectory   ${basedir}/src/test
 unit test 
  includes **/*TestCase.java 
  excludes **/Abstract* 
 resources 
     directory    ${basedir}/src/conf
     targetPath   BLOCK-INF

EOF
))
`((("pomVersion" 3) 
   ("id" "jing-dao") 
   ("name" "Jing DAO Framework") 
   ("currentVersion" "0.6.5") 
   ("organization" ("name" "JadeTower") 
    ("url" "http://jadetower.org") 
    ("logo" "/images/jadetower-logo.png")) 
   ("inceptionYear" 2003) 
   ("package" "org.jadetower") 
   ("logo" "/images/jing-logo.png") 
   ("description" "Java Based DAO Framework") 
   ("url" "http://jingdao.sf.net") 
   ("issueTrackingUrl" "http://sourceforge.net/tracker/?group_id=75092&atid=542902") 
   ("siteAddress" "jingdao.sf.net") 
   ("distributionDirectory" "/home/groups/j/ji/jingdao/htdocs/dist") 
   ("developers" 
    ("name" "J Aaron Farr") 
    ("id" "farra") 
    ("roles" ("Java Developer" "Admin"))) 
   ("build" ("sourceDirectory" "${basedir}/src/java") 
    ("unitTestSourceDirectory" "${basedir}/src/test") 
    ("unit" "test" 
     ("includes" "**/*TestCase.java") 
     ("excludes" "**/Abstract*")) 
    ("resources" 
     ("directory" "${basedir}/src/conf") 
     ("targetPath" "BLOCK-INF")))))
))